#ifndef _INPUTSTREAM_H_
#define _INPUTSTREAM_H_

#include <vector>

namespace utakata {

    class IInputStream
    {
    public:
        IInputStream(){}
        virtual ~IInputStream(){}

        // ストリームから1単位読みだして返す。
        // ストリーム毎に、1単位が異なるため、vector<unsigned char>にてバイト単位で
        // 抽出する。
        virtual std::vector<unsigned char> read() = 0;
        virtual std::vector<unsigned char> read(int num) = 0;

        virtual std::vector<unsigned char> peek() = 0;
    };

}

#endif /* _INPUTSTREAM_H_ */
