#ifndef _DATA_STRUCTURE_H_
#define _DATA_STRUCTURE_H_

namespace utakata {

    namespace interpreter {
    
        class DataEntity
        {
            // 各型データの実体アドレスを指すだけのインターフェース。
            // 各データは、自分に対応したこのインターフェースを作成する必要がある。
        public:
            DataEntity() {}
            virtual ~DataEntity() {}

            virtual unsigned char* getAddress() = 0;
        };
    
    };

};

#endif /* _DATA_STRUCTURE_H_ */
